gnutls_x509_crt_get_fingerprint(3)

NAME
gnutls_x509_crt_get_fingerprint - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_fingerprint(gnutls_x509_crt_t cert, gnutls_digest_algorithm_t algo, void * buf, size_t * buf_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_digest_algorithm_t algo
    is a digest algorithm

void * buf
    a pointer to a structure to hold the fingerprint (may be null)

size_t * buf_size
    initially holds the size of buf

DESCRIPTION
This function will calculate and copy the certificate's fingerprint in the provided buffer. If the buffer is null then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the *buf_size will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/